import pupil_apriltags as apriltag
import cv2

tag_detector = apriltag.Detector(families='tag36h11')

img = cv2.imread('Snipaste_2024-06-22_21-30-43.png')
# cv2.imshow('aaa', img)
# print(img.shape)
tag = tag_detector.detect(img[:,:,0], estimate_tag_pose=True, camera_params=([353.836278849487, 353.077028029136, 163.745870517989, 115.130883974855]), tag_size=0.018)

for t in tag:
    if t.tag_id == 0:
        print(t.pose_t)
        print(t.tag_id)